services:
    d2_abafazi_service_definition_manager:
        class:          D2\AbafaziBundle\DependencyInjection\Services\ServiceDefinitionManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_abafazi_partner_file_manager:
        class:          D2\AbafaziBundle\DependencyInjection\Services\PartnerFileManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_abafazi_waybill_manager:
        class:          D2\AbafaziBundle\DependencyInjection\Services\WaybillManager
        arguments:      [@service_container, @doctrine.orm.entity_manager, @d2_abafazi_service_definition_manager, @d2_calc_manager]

    d2_abafazi_bundle.twig.abafazi_extension:
        class:          D2\AbafaziBundle\Twig\AbafaziTwigExtension
        arguments:      [@doctrine, @service_container, @d2_abafazi_partner_file_manager, @d2_abafazi_service_definition_manager]
        tags:
            - { name: twig.extension }

    # With Selected Extensions
    d2_abafazi_bundle.waybill_with_selected.extension:
        class:          D2\AbafaziBundle\DependencyInjection\Services\WaybillsWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: abafazi_list }
            - { name: d2.with_selected, alias: abafazi_waybill }
